﻿


@(Html.DevExtreme().DataGrid<dbChange.Models.Staff>
                                                            ()
                                                            .DataSource(ds => ds.Mvc()
                                                            .Controller("StaffAPI")
                                                            .LoadAction("GetAllStaffs")
                                                            .UpdateAction("UpdateStaff")
                                                            .UpdateMethod("POST")
                                                            .Key("Id")

                                                            )

                                                            .AllowColumnReordering(true)
                                                            .RowAlternationEnabled(true)
                                                            .ShowBorders(true)

                                                            .SearchPanel(s => s
                                                            .Visible(true)
                                                            .HighlightCaseSensitive(true)
                                                            )
                                                            .GroupPanel(g => g.Visible(false))
                                                            .Grouping(g => g.AutoExpandAll(false))
                                                            .WordWrapEnabled(false)
                                                            .ShowColumnLines(true)
                                                            .ShowRowLines(true)
                                                            .RowAlternationEnabled(true)
                                                            .AllowColumnResizing(true)

                                                            .ColumnAutoWidth(true)
                                                            .FilterRow(f => f.Visible(true))
                                                            .HeaderFilter(h => h.Visible(true))
                                                            .RemoteOperations(false)
                                                            // .Scrolling(scrolling => scrolling.ColumnRenderingMode(GridColumnRenderingMode.Virtual))
                                                            .Paging(p => p.PageSize(25))
                                                            .Pager(p => p
                                                            .ShowPageSizeSelector(true)
                                                            .AllowedPageSizes(new[] { 10, 25, 50, 100 })

                                                            )
                                                            .FocusedRowEnabled(true)
                                                            .OnFocusedRowChanging("onFocusedRowChanging")
                                                            .OnFocusedRowChanged("onFocusedRowChanged")
                                                            .OnInitialized("onDataGridInitialized")
                                                            
                                                            .Columns(columns => {

                                                                columns.Add()
                                                                            .Type(GridCommandColumnType.Buttons)
                                                                            .Width(50)
                                                                            .Buttons(b =>
                                                                            {
                                                                                b.Add().Name(GridColumnButtonName.Edit);
                                                                            }).VisibleIndex(0);
                                                                columns.AddFor(m => m.Id).Fixed(true).FixedPosition(HorizontalEdge.Left).Caption("#").AllowEditing(false).MinWidth(40).HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);
                                                                columns.AddFor(m => m.KetQuaImPort).Fixed(true).Caption("Thẻ").AllowEditing(false).HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false)
                                                              .CellTemplate(@<text>


                                                            <td style="text-align:center">
                                                                <img src="<%- data.KetQuaImPort %>" alt=""/>

                                                            </td>

                                                </text>).EditCellTemplate(@<text>


                                                            <td style="text-align:center">
                                                                <img src="<%- data.KetQuaImPort %>" alt="" />

                                                            </td>

                                                </text>).MinWidth(40).Width(50);


columns.AddFor(m => m.HoTen).Fixed(true).FixedPosition(HorizontalEdge.Left).MinWidth(150).Caption("Họ và tên\r\n(*)").AllowEditing(false).HeaderCellTemplate(new JS("headerCellTemplate")).AllowEditing(false);

columns.AddFor(m => m.NgaySinh).Fixed(false).FixedPosition(HorizontalEdge.Left).Caption("Ngày sinh dạng\r\ndd/mm/yyyy\r\n(*)").MinWidth(100).HeaderCellTemplate(new JS("headerCellTemplate")).Width(100).AllowEditing(false);
columns.Add().Caption("Thông tin chung").Columns(c =>
{


    c.AddFor(m => m.GioiTinh).Caption("Giới tính\r\n(0:nam\r\n1:nữ)\r\n(*)").MinWidth(50).HeaderCellTemplate(new JS("headerCellTemplate")).Width(70);

    c
    //.Add()
    .AddFor(m => m.MaNhom)
    .Caption("Mã nhóm\r\nđối\r\ntượng\r\nưu tiên\r\n(*)").MinWidth(50).HeaderCellTemplate(new JS("headerCellTemplate")).Width(70);
  
    


    c.AddFor(m => m.DonVi).Caption("Đơn vị công tác").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.DienThoai).Caption("Số điện thoại\r\n(Tối thiểu 10 số)\r\n(*)").MinWidth(80).Width(100).HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.CMND).Caption("Số CMT/CCCD\r\n(Loại 8/9/12 số)").MinWidth(80).Width(100)
    .HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.BHYT).Caption("Số thẻ bảo hiểm y tế\r\n(Mã thẻ 10/15 ký tự)").MinWidth(90).Width(90).HeaderCellTemplate(new JS("headerCellTemplate"));
}).HeaderCellTemplate(new JS("headerCellTemplate"));

columns.Add().Caption("Nơi ở tạm trú (hiện tại)\r\n(Tham khảo PL3)\r\n(*)").Columns(c =>
{
    c.AddFor(m => m.TenTinh).Caption("Tỉnh\r\nThành phố").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.MaTinh).Caption("Mã\r\nTỉnh\r\nThành phố\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.TenQuan).Caption("Quận\r\nHuyện").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.MaQuan).Caption("Mã\r\nQuận\r\nHuyện\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.TenPhuong).Caption("Xã\r\nPhường").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.MaPhuong).Caption("Mã\r\nXã\r\nPhường\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.DiaChi).Caption("Địa chỉ chi tiết");
}).HeaderCellTemplate(new JS("headerCellTemplate"));


columns.Add().Caption("Mũi 1").Columns(c => {

    c.AddFor(m => m.Mui1_TenVacxin).Caption("Tên vắc xin\r\n(Tham khảo PL5)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui1_NgayTiem).Caption("Ngày tiêm dạng\r\ndd/mm/yyyy\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui1_SoLo).Caption("Lô vắc xin(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui1_DiaDiem).Caption("Địa điểm tiêm\r\n(Tham khảo PL4)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));



}).HeaderCellTemplate(new JS("headerCellTemplate"));

columns.Add().Caption("Mũi 2").Columns(c =>
{
    c.AddFor(m => m.Mui2_TenVacxin).Caption("Tên vắc xin\r\n(Tham khảo PL5)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui2_NgayTiem).Caption("Ngày tiêm dạng\r\ndd/mm/yyyy (*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui2_SoLo).Caption("Lô vắc xin(*)").HeaderCellTemplate(new JS("headerCellTemplate"));

    c.AddFor(m => m.Mui2_DiaDiem).Caption("Địa điểm tiêm\r\n(Tham khảo PL4)\r\n(*)").HeaderCellTemplate(new JS("headerCellTemplate"));
}).HeaderCellTemplate(new JS("headerCellTemplate"));

columns.AddFor(m => m.GhiChu).Caption("Ghi chú").HeaderCellTemplate(new JS("headerCellTemplate"));


columns.AddFor(m => m.UrlHinhGiayXN).Caption("Giấy xác nhận").EditCellTemplate(@<text>

                                                            <form id="form" method="post" enctype="multipart/form-data" asp-action="FileSelection" asp-controller="Staff" style="width:fit-content">
                                                                      <table style="width:100%">
                                                                              <tr >
                                                                                     <td style="text-align:center">
                                                                                           <img src="<%- data.UrlHinhGiayXN %>" alt="" width="300" height="200"/>

                                                                                    </td>

                                                                                  </tr>
                                                                          <tr>
                                                                                <td>
                                                                                <div id="fileuploader-container" >

                                                                                    @(Html.DevExtreme().FileUploader()
                                                                                        .Name("Photo")
                                                                                        .SelectButtonText("Chọn hình")
                                                                                        .LabelText("")
                                                                                        .Accept("image/*")
                                                                                        .UploadMode(FileUploadMode.UseForm)

                                                                                    )
                                                                                </div>
                                                                                      </td>

                                                                          </tr>
                                                                          <tr>
                                                                                 <td>
                                                                                        @(Html.DevExtreme().Button()
                                                                                    .ID("button")
                                                                                    .Text("Upload")
                                                                                    .Type(ButtonType.Success)
                                                                                    .UseSubmitBehavior(true)
                                                                                )
                                                                                  </td>
                                                                          </tr>

                                                                    </table>
                                                                    </form>




                                                </text>).HeaderCellTemplate(new JS("headerCellTemplate"));

                                                            })
                            .Editing(e => e.Mode(GridEditMode.Popup)

                            .AllowUpdating(true)

                            .UseIcons(true)

                            .Form(
                            f => f.Items(items =>
                            {
                                items.AddGroup().Caption("Thông tin nhân viên")
                                .ColCount(2)
                                .ColSpan(2)

                                .Items(groupItems =>
                                {


                                    groupItems.AddSimpleFor(m => m.KetQuaImPort);
                                    groupItems.AddSimpleFor(m => m.Id);
                                    groupItems.AddSimpleFor(m => m.HoTen);
                                    groupItems.AddSimpleFor(m => m.NgaySinh);
                                    groupItems.AddSimpleFor(m => m.GioiTinh);
                                    groupItems.AddSimpleFor(m => m.MaNhom);
                                    groupItems.AddSimpleFor(m => m.DonVi);
                                    groupItems.AddSimpleFor(m => m.DienThoai);
                                    groupItems.AddSimpleFor(m => m.CMND);
                                    groupItems.AddSimpleFor(m => m.BHYT);

                                });
                                items.AddGroup().Caption("Nơi ở tạm trú (hiện tại) (Tham khảo PL3)(*)")
                                .ColCount(2)
                                .ColSpan(2)

                                .Items(groupItems =>
                                {
                                    groupItems.AddSimpleFor(m => m.TenTinh);
                                    groupItems.AddSimpleFor(m => m.MaTinh);
                                    groupItems.AddSimpleFor(m => m.TenQuan);
                                    groupItems.AddSimpleFor(m => m.MaQuan);
                                    groupItems.AddSimpleFor(m => m.TenPhuong);
                                    groupItems.AddSimpleFor(m => m.MaPhuong);
                                    groupItems.AddSimpleFor(m => m.DiaChi);
                                });


                                items.AddGroup().Caption("Mũi 1")
                                .ColCount(2)
                                .ColSpan(2)

                                .Items(groupItems =>
                                {
                                    groupItems.AddSimpleFor(m => m.Mui1_TenVacxin);
                                    groupItems.AddSimpleFor(m => m.Mui1_NgayTiem);
                                    groupItems.AddSimpleFor(m => m.Mui1_SoLo);
                                    groupItems.AddSimpleFor(m => m.Mui1_DiaDiem);
                                });
                                items.AddGroup().Caption("Mũi 2")
                                .ColCount(2)
                                .ColSpan(2)

                                .Items(groupItems =>
                                {
                                    groupItems.AddSimpleFor(m => m.Mui2_TenVacxin);
                                    groupItems.AddSimpleFor(m => m.Mui2_NgayTiem);
                                    groupItems.AddSimpleFor(m => m.Mui2_SoLo);
                                    groupItems.AddSimpleFor(m => m.Mui2_DiaDiem);
                                });
                                items.AddGroup().Caption("Thông tin khác")
                                .ColCount(2)
                                .ColSpan(2)

                                .Items(groupItems =>
                                {
                                    groupItems.AddSimpleFor(m => m.GhiChu)


                                .ColSpan(1)
                                .Editor(editor => editor.TextArea().Height(100));
                                    groupItems.AddSimpleFor(m => m.UrlHinhGiayXN);

                                });






                            }).ScrollingEnabled(true).ShowRequiredMark(true).LabelLocation(FormLabelLocation.Top)
                            )

                            )
                            )



